# Xapian::TermPosWrapper Class Reference

A wrapper class for a termpos which returns the termpos if dereferenced with *. More...

`#include <positioniterator.h>`

List of all members.

## Public Member Functions

| TermPosWrapper (termpos pos_)
termpos | operator * () const

## Detailed Description

A wrapper class for a termpos which returns the termpos if dereferenced with *.

We need this to implement input_iterator semantics.

The documentation for this class was generated from the following file:

- include/xapian/positioniterator.h